﻿@model ShareAsAttachment
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="place-left">
            <h1 class="no-margin">
                <span ng-hide="reportName == 'TransactionSubscriptionFinance'">Share Report </span>
                <span ng-show="reportName == 'TransactionSubscriptionFinance'">Email Report </span>
            </h1>
        </div>
        <div class="clearfix"></div>
        <label class="req-star">To</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.SentTo)>
            <input ng-model="@Html.Ang(model => model.SentTo)" type="text" @Html.AngTooltipValidationFor(model => model.SentTo) />
            <button type="button" class="btn-clear" tabindex="-1"></button>
        </div>
        <label class="req-star">Subject</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Subject)>
            <input ng-model="@Html.Ang(model=>model.Subject)" type="text" @Html.AngTooltipValidationFor(model => model.Subject) />
            <button type="button" class="btn-clear" tabindex="-1"></button>
        </div>
        <label for="">Message</label>
        <div class="input-control textarea" @Html.AngValidationClassFor(model => model.Message)>
            <textarea ng-model="@Html.Ang(model=>model.Message)" @Html.AngTooltipValidationFor(model => model.Message)></textarea>
        </div>
        @*<label for="">Custom Message</label>
            <div class="input-control textarea">
                <textarea ng-model="@Html.Ang(model=>model.CustomMessage)"></textarea>
            </div>*@
        <button class="success large place-right button" type="button" ng-click="sendReport()">Send</button>
        <button type="button" ng-click="back()" class='place-left button link large'>Back</button>
        <div class="clearfix"></div>
    </div>
</div>